import os

import testinfra.utils.ansible_runner


testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ["MOLECULE_INVENTORY_FILE"]
).get_hosts("all")


def test_rsync_is_installed(host):
    p = host.package("rsync")

    assert p.is_installed


def test_rsync_time_backup_repo(host):
    d = host.file("/usr/local/share/rsync-time-backup")

    assert d.exists
    assert d.is_directory


def test_rsync_time_backup_link(host):
    s = host.file("/usr/local/sbin/rsync_tmbackup")

    assert s.exists
    assert s.is_symlink


def test_backup_dir(host):
    d = host.file("/backup")

    assert d.exists
    assert d.is_directory
